%global _empty_manifest_terminate_build 0
Name:           python-glance-store
Version:        2.5.0
Release:        2
Summary:        OpenStack Image Service Store Library
License:        Apache-2.0
URL:            https://docs.openstack.org/glance_store/latest/
Source0:        https://files.pythonhosted.org/packages/fd/37/cdf17c0e236f3549f3154850229d6d48f641855e9272be5804b64c9adae1/glance_store-2.5.0.tar.gz
BuildArch:      noarch
%description
Glance store library.

%package -n python3-glance-store
Summary:        OpenStack Image Service Store Library
Provides:       python-glance-store
# Base build requires
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
# General requires
BuildRequires:  python3-eventlet
BuildRequires:  python3-jsonschema
BuildRequires:  python3-keystoneauth1
BuildRequires:  python3-oslo-concurrency
BuildRequires:  python3-oslo-config
BuildRequires:  python3-oslo-i18n
BuildRequires:  python3-oslo-serialization
BuildRequires:  python3-oslo-utils == 4.8.0
BuildRequires:  python3-keystoneclient
BuildRequires:  python3-requests
BuildRequires:  python3-six
BuildRequires:  python3-stevedore
BuildRequires:  python3-os-brick
BuildRequires:  python3-oslo-privsep
BuildRequires:  python3-oslo-rootwrap
BuildRequires:  python3-cinderclient
BuildRequires:  python3-boto3
BuildRequires:  python3-httplib2
BuildRequires:  python3-swiftclient
BuildRequires:  python3-oslo-vmware
# Tests running requires
BuildRequires:  python3-boto3
BuildRequires:  python3-coverage
BuildRequires:  python3-doc8
BuildRequires:  python3-fixtures
BuildRequires:  python3-hacking
BuildRequires:  python3-httplib2
BuildRequires:  python3-os-brick
BuildRequires:  python3-oslo-privsep
BuildRequires:  python3-oslo-rootwrap
BuildRequires:  python3-oslo-vmware
BuildRequires:  python3-oslotest
BuildRequires:  python3-cinderclient
BuildRequires:  python3-subunit
BuildRequires:  python3-swiftclient
BuildRequires:  python3-requests-mock
BuildRequires:  python3-stestr
BuildRequires:  python3-testscenarios
BuildRequires:  python3-testtools
# General requires
Requires:       python3-eventlet
Requires:       python3-jsonschema
Requires:       python3-keystoneauth1
Requires:       python3-oslo-concurrency
Requires:       python3-oslo-config
Requires:       python3-oslo-i18n
Requires:       python3-oslo-serialization
Requires:       python3-oslo-utils == 4.8.0
Requires:       python3-keystoneclient
Requires:       python3-requests
Requires:       python3-six
Requires:       python3-stevedore
Requires:       python3-os-brick
Requires:       python3-oslo-privsep
Requires:       python3-oslo-rootwrap
Requires:       python3-cinderclient
Requires:       python3-boto3
Requires:       python3-httplib2
Requires:       python3-swiftclient
Requires:       python3-oslo-vmware
# Tests running requires
Requires:       python3-boto3
Requires:       python3-coverage
Requires:       python3-doc8
Requires:       python3-fixtures
Requires:       python3-hacking
Requires:       python3-httplib2
Requires:       python3-os-brick
Requires:       python3-oslo-privsep
Requires:       python3-oslo-rootwrap
Requires:       python3-oslo-vmware
Requires:       python3-oslotest
Requires:       python3-cinderclient
Requires:       python3-subunit
Requires:       python3-swiftclient
Requires:       python3-requests-mock
Requires:       python3-stestr
Requires:       python3-testscenarios
Requires:       python3-testtools
%description -n python3-glance-store
Glance store library.

%package help
Summary:        OpenStack Image Service Store Library
Provides:       python3-glance-store-doc
%description help
Glance store library.

%prep
%autosetup -n glance_store-2.5.0

%build
%py3_build


%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
    find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-glance-store -f filelist.lst
%dir %{python3_sitelib}/*


%files help -f doclist.lst
%{_docdir}/*

%files
%{_prefix}/%{_sysconfdir}/glance/rootwrap.conf
%{_prefix}/%{_sysconfdir}/glance/rootwrap.d/glance_cinder_store.filters

%changelog
* Wed Mar 01 2023 OpenStack_SIG <openstack@openeuler.org> - 2.5.0-2
- Fix install error

* Tue Jul 13 2021 OpenStack_SIG <openstack@openeuler.org> - 2.5.0-1
- Update to 2.5.0
* Tue Apr 27 2021 zhangy1317 <zhangy1317@foxmail.com> 2.4.0
- Add buildrequires
* Wed Oct 21 2020 Joel Capitao <jcapitao@redhat.com> 2.3.0-2
- Enable sources tarball validation using GPG signature.
* Mon Sep 21 2020 RDO <dev@lists.rdoproject.org> 2.3.0-1
- Update to 2.3.0

